import { Badge, Popconfirm, Space, Tag } from 'antd'
import React from 'react'
import { WarningTypeEnum } from './config'
import Look from './look'
function tableConfig(edit: (data: any) => void, del: (id: number) => void): any {
    return [
        {
            title: 'ID',
            dataIndex: 'id',
            key: 'id',
            align: 'center',
            width: 50,
        },
        {
            title: '规则名称',
            dataIndex: 'ruleName',
            key: 'ruleName',
            width: 120,
            ellipsis: true,
        },
        {
            title: '通知频率',
            dataIndex: 'notifyFrequency',
            key: 'notifyFrequency',
            align: 'center',
            width: 70,
            render: (a: string, b: any) => {
                return <span>{a}分钟</span>
            }
        },
        {
            title: '告警方式',
            dataIndex: 'warningType',
            key: 'warningType',
            align: 'center',
            width: 115,
            render: (a: string[], b: any) => {
                return a?.map((item, index) => <Tag color={['#f50', '#2db7f5'][index]} key={index}>{WarningTypeEnum[item]}</Tag>)
            }
        },
        {
            title: '是否默认规则',
            dataIndex: 'defaultRule',
            key: 'defaultRule',
            align: 'center',
            width: 80,
            render: (a: 0 | 1, b: any) => {
                return <Badge status={{ '0': 'error', '1': 'success' }[a] as any} text={{ '0': '否', '1': '是' }[a]} />
            }
        },
        {
            title: 'Enable?',
            dataIndex: 'enable',
            key: 'enable',
            align: 'center',
            width: 70,
            render: (a: 0 | 1, b: any) => {
                return <Badge status={{ '0': 'error', '1': 'success' }[a] as any} text={{ '0': '否', '1': '是' }[a]} />
            }
        },
        {
            title: '查看',
            dataIndex: 'rules',
            key: 'rules',
            align: 'center',
            width: 60,
            render: (a: any, b: any) => {
                return <Look rules={a}/>
            }
        },
        {
            title: '操作',
            dataIndex: 'cz',
            key: 'cz',
            align: 'center',
            width: 80,
            render: (a: 0 | 1, b: any) => {
                return <Space>
                    <a onClick={() => edit(b)}>修改</a>
                    <Popconfirm
                        title="确定删除"
                        onConfirm={() => del(b?.id)}
                        okText="Yes"
                        cancelText="No"
                    >
                        <a style={{ color: 'red' }}>删除</a>
                    </Popconfirm>
                </Space>
            }
        },
    ]
}
export default tableConfig